gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.Border

Contents

- Exported types
- Methods
  - copy
  - free
  - new
- Properties
  - bottom
  - left
  - right
  - top

Description

A struct that specifies a border around a rectangular area that can be of different width on each side.

Synopsis

- newtype Border = Border (ManagedPtr Border)
- newZeroBorder :: MonadIO m => m Border
- borderCopy :: (HasCallStack, MonadIO m) => Border -> m Border
- borderFree :: (HasCallStack, MonadIO m) => Border -> m ()
- borderNew :: (HasCallStack, MonadIO m) => m Border
- getBorderBottom :: MonadIO m => Border -> m Int16
- setBorderBottom :: MonadIO m => Border -> Int16 -> m ()
- getBorderLeft :: MonadIO m => Border -> m Int16
- setBorderLeft :: MonadIO m => Border -> Int16 -> m ()
- getBorderRight :: MonadIO m => Border -> m Int16
- setBorderRight :: MonadIO m => Border -> Int16 -> m ()
- getBorderTop :: MonadIO m => Border -> m Int16
- setBorderTop :: MonadIO m => Border -> Int16 -> m ()

# Exported types

newtype Border Source #

Memory-managed wrapper type.

Constructors

Border (ManagedPtr Border) |

#### Instances

Instances details

Eq Border Source # |
Instance details Defined in GI.Gtk.Structs.Border Methods (==) :: Border -> Border -> Bool Source # (/=) :: Border -> Border -> Bool Source #
GBoxed Border Source # |
Instance details Defined in GI.Gtk.Structs.Border
ManagedPtrNewtype Border Source # |
Instance details Defined in GI.Gtk.Structs.Border Methods toManagedPtr :: Border -> ManagedPtr Border Source #
TypedObject Border Source # |
Instance details Defined in GI.Gtk.Structs.Border Methods glibType :: IO GType Source #
HasParentTypes Border Source # |
Instance details Defined in GI.Gtk.Structs.Border
tag ~ 'AttrSet => Constructible Border tag Source # |
Instance details Defined in GI.Gtk.Structs.Border Methods new :: MonadIO m => (ManagedPtr Border -> Border) -> [AttrOp Border tag] -> m Border Source #
IsGValue (Maybe Border) Source # | Convert `Border` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Structs.Border Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Border -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Border) Source #
type ParentTypes Border Source # |
Instance details Defined in GI.Gtk.Structs.Border type ParentTypes Border = '[] :: [Type]

newZeroBorder :: MonadIO m => m Border Source #

Construct a `Border` struct initialized to zero.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

copy, free.

#### Getters

None.

#### Setters

None.

## copy

borderCopy Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Border | `border_`: a `Border`-struct
-> m Border | Returns: a copy of `border_`.

Copies a `Border`-struct.

## free

borderFree Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Border | `border_`: a `Border`-struct
-> m () |

Frees a `Border`-struct.

## new

borderNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Border | Returns: a newly allocated `Border`-struct. Free with `borderFree`

Allocates a new `Border`-struct and initializes its elements to zero.

Since: 2.14

# Properties

## bottom

The width of the bottom border

getBorderBottom :: MonadIO m => Border -> m Int16 Source #

Get the value of the “`bottom`” field. When overloading is enabled, this is equivalent to

    get border #bottom

setBorderBottom :: MonadIO m => Border -> Int16 -> m () Source #

Set the value of the “`bottom`” field. When overloading is enabled, this is equivalent to

    set border [ #bottom := value ]

## left

The width of the left border

getBorderLeft :: MonadIO m => Border -> m Int16 Source #

Get the value of the “`left`” field. When overloading is enabled, this is equivalent to

    get border #left

setBorderLeft :: MonadIO m => Border -> Int16 -> m () Source #

Set the value of the “`left`” field. When overloading is enabled, this is equivalent to

    set border [ #left := value ]

## right

The width of the right border

getBorderRight :: MonadIO m => Border -> m Int16 Source #

Get the value of the “`right`” field. When overloading is enabled, this is equivalent to

    get border #right

setBorderRight :: MonadIO m => Border -> Int16 -> m () Source #

Set the value of the “`right`” field. When overloading is enabled, this is equivalent to

    set border [ #right := value ]

## top

The width of the top border

getBorderTop :: MonadIO m => Border -> m Int16 Source #

Get the value of the “`top`” field. When overloading is enabled, this is equivalent to

    get border #top

setBorderTop :: MonadIO m => Border -> Int16 -> m () Source #

Set the value of the “`top`” field. When overloading is enabled, this is equivalent to

    set border [ #top := value ]